## gwenview-trinity 14.1.5

=== icons/CMakeLists.txt ===
add_subdirectory( action )
add_subdirectory( app )
add_subdirectory( cursor )
add_subdirectory( thumbnail )

=== src/gvimagepart/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)


##### gvimagepart

tde_add_kpart( libgvimagepart AUTOMOC
  SOURCES gvimagepart.cpp
  LINK tdeparts-shared gwenviewcore-shared
  DESTINATION ${LIB_INSTALL_DIR}/trinity
)


##### other files

tde_create_translated_desktop(
  SOURCE gvimagepart.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
)

install(
  FILES gvimagepart.rc gvimagepartpopup.rc
  DESTINATION ${DATA_INSTALL_DIR}/gvimagepart
)

=== src/tsthread/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)


##### tsthread (static)

tde_add_library( tsthread STATIC_PIC AUTOMOC
  SOURCES tsthread.cpp tswaitcondition.cpp
)

## gwenview-trinity 3.5.13.2

=== debian/changelog ===
gwenview-trinity (4:3.5.13.2-0debian7.0.0+0) wheezy; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 08 Jun 2013 17:52:46 +0200

gwenview-trinity (4:1.4.2-8) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

gwenview-trinity (4:1.4.2-6) jaunty; urgency=low

  * Jaunty rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Tue, 28 April 2009 20:25:00 -0600

gwenview-trinity (4:1.4.2-5) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 05 March 2009 01:11:00 -0600

gwenview-trinity (4:1.4.2-4) intrepid; urgency=low

  * Added -trinity suffix

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Tue, 04 Nov 2008 06:06:15 -0600

gwenview (1.4.2-4) unstable; urgency=low

  * Include patch (not yet committed upstream) that fixes crashes on images
    with incorrect EXIF information (see http://bugs.kde.org/159522). Thanks
    to Achim Bohnet for the tip. (Closes: #471742, #471847)
  * Include further post-release commits to Gwenview's KDE 3 branch:
    + Fix the loading of 1bpp images, like some BMPs.
  * Update doc-base file to fix encoding and section.

 -- Christopher Martin <chrsmrtn@debian.org>  Fri, 21 Mar 2008 11:54:45 -0400

gwenview (1.4.2-3) unstable; urgency=low

  * Update to Debian Policy 3.7.3. Move Homepage from the package
    description to a regular debian/control field.
  * Update debhelper compatibility level to 6. No changes.
  * Convert debian/copyright to UTF-8.

  * Include post-release commits to Gwenview's KDE 3 branch:
    + Fix GIMP startup from the External Tools menu (to get this to take
      effect, users may have delete $HOME/.kde/share/apps/gwenview/tools).
    + Fix the slideshow icon in the configuration window.

 -- Christopher Martin <chrsmrtn@debian.org>  Sun, 13 Jan 2008 14:32:26 -0500

gwenview (1.4.2-2) unstable; urgency=low

  * Remove some unnecessary lintian overrides, now that lintian has been fixed
    with respect to KDE .desktop files.

 -- Christopher Martin <chrsmrtn@debian.org>  Sun, 28 Oct 2007 00:13:27 -0400

gwenview (1.4.2-1) unstable; urgency=low

  * New upstream release.

 -- Christopher Martin <chrsmrtn@debian.org>  Mon, 17 Sep 2007 19:31:17 -0400

gwenview (1.4.1-1) unstable; urgency=low

  * New upstream release, uploaded to unstable.

 -- Christopher Martin <chrsmrtn@debian.org>  Sun, 26 Nov 2006 18:41:39 -0500

gwenview (1.4.0-1) experimental; urgency=low

  * Translations are now split-out into gwenview-i18n. Be sure to install that
    package if you use a non-en_US desktop.

 -- Christopher Martin <chrsmrtn@debian.org>  Sat, 21 Oct 2006 14:01:46 -0400

gwenview (1.4.0~debian.1-1) unstable; urgency=low

  * New upstream release.
    + Upstream now splits the translations out into their own tarball.
      This is by no means a bad thing, but to avoid having a package stuck
      in NEW this close to a release, I'm gluing them back in for the
      moment. Once a releasable package is in Etch, I'll adopt upstream's
      practices. Hence the wacky package version.
    + Fixes focus switching. (Closes: #301812)

  * Clarify the package description, as displaying EXIF tags don't require
    kdegaphics-kfile-plugins (but other features still do). (Closes: #368809)

  * This rebuild eliminates all references to obsolete libX*.la files.
    (Closes: #381323)

 -- Christopher Martin <chrsmrtn@debian.org>  Mon, 18 Sep 2006 22:02:27 -0400

gwenview (1.3.1-3) unstable; urgency=low

  * Clarify the package description, as merely editing EXIF comments doesn't
    strictly require kdegraphics-kfile-plugins. (Closes: #368809)

 -- Christopher Martin <chrsmrtn@debian.org>  Sun, 28 May 2006 11:37:27 -0400

gwenview (1.3.1-2) unstable; urgency=low

  * Add a patch that should fix a build failure on ARM, due
    to a quirk of its assembler spec.

 -- Christopher Martin <chrsmrtn@debian.org>  Wed,  7 Dec 2005 08:41:11 -0500

gwenview (1.3.1-1) unstable; urgency=low

  * Minor upstream update.
  * Rebuild against kdelibs4c2a.
  * Bump DH_COMPAT to 5. No changes required.

 -- Christopher Martin <chrsmrtn@debian.org>  Mon,  5 Dec 2005 07:46:53 -0500

gwenview (1.3.0-1) unstable; urgency=low

  * New upstream release.

 -- Christopher Martin <chrsmrtn@debian.org>  Thu, 13 Oct 2005 15:49:58 -0400

gwenview (1.2.0-2) unstable; urgency=low

  * Re-package using CDBS.
  * Re-build for the gcc 4.0 C++ ABI transition.
  * Rebuild against KDE 3.4. The new trash system is now supported.
    (Closes: #318477)
  * Sync with the 1.2 branch, pulling in a number of minor fixes.

 -- Christopher Martin <chrsmrtn@freeshell.org>  Wed, 31 Aug 2005 13:20:56 -0400

gwenview (1.2.0-1) unstable; urgency=low

  * New upstream release.
    + Fixes crashes when using "Back" to navigate. (Closes: #301811)
  * Enable KIPI support.
  * Add a doc-base file for the handbook.

 -- Christopher Martin <chrsmrtn@freeshell.org>  Wed,  6 Apr 2005 11:33:06 -0400

gwenview (1.1.8+1.2.0pre4-1) unstable; urgency=low

  * New upstream release.

 -- Christopher Martin <chrsmrtn@freeshell.org>  Sat, 19 Mar 2005 14:37:14 -0500

gwenview (1.1.8+1.2.0pre2-1) unstable; urgency=low

  * New upstream release.
    + New Gwenview handbook.

 -- Christopher Martin <chrsmrtn@freeshell.org>  Sun, 13 Feb 2005 20:51:25 -0500

gwenview (1.1.8+1.2.0pre1-1) unstable; urgency=low

  * New upstream release.
    + Fixes crash when double-clicking on an image using the konqueror kpart.
      (Closes: #290097)
    + Gwenview is now a kdeinit module - added appropriate lintian override.

 -- Christopher Martin <chrsmrtn@freeshell.org>  Wed, 26 Jan 2005 09:45:17 -0500

gwenview (1.1.8-1) unstable; urgency=low

  * New upstream release.
  * Minor packaging updates and cleanups to debian/rules.
  * Fix debian/copyright GPL address: point to GPL-2, not the symlink


=== debian/control ===
Source: gwenview-trinity
Section: kde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Build-Depends: cdbs (>= 0.4.39-0.1), debhelper (>= 6.0.0), quilt, kdelibs4-trinity-dev (>= 4:3.4.3), libkipi0-trinity-dev (>= 0.1.2-2), libexiv2-dev, libmng-dev, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4
Homepage: http://gwenview.sourceforge.net

Package: gwenview-trinity
Architecture: any
Depends: ${shlibs:Depends}
Recommends: kdegraphics-kfile-plugins-trinity, kipi-plugins-trinity
Suggests: gwenview-i18n
Description: image viewer for TDE
 Gwenview is an image viewer for the K Desktop Environment. It features a
 folder tree window and a file list window to provide easy navigation of your
 file hierarchy. Gwenview uses docked windows, so you can alter its layout
 any way you wish. You can also browse your images in full-screen mode, or
 embedded within Konqueror using the Gwenview Image Browser View and Kpart.
 .
 Image loading is handled by the Qt library, so Gwenview supports all image
 formats your Qt installation supports. Gwenview correctly displays images
 with an alpha channel. Gwenview supports the displaying and editing of EXIF
 comments, and, if the kdegraphics-kfile-plugins package is installed, other
 image meta-information as well. Also supported is KIPI, the KDE Image Plugin
 Interface, a collection of helpful tools provided by the kipi-plugins
 package. The ability to perform lossless JPEG transforms is built in.
 .
 Gwenview's internationalization files (i18n) (translations) are available
 in the gwenview-i18n package. Users with non-US English desktops should
 install this package.

=== debian/rules ===
#! /usr/bin/make -f

DEB_PATCHDIRS := debian/patches/common debian/patches

include /usr/share/cdbs/1/rules/debhelper.mk
include debian/cdbs/kde.mk
#include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/kde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_CONFIGURE_EXTRA_FLAGS := --enable-kipi --enable-final --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib
DEB_INSTALL_DOCS_ALL :=
DEB_INSTALL_CHANGELOGS_ALL := NEWS

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

DEB_DH_MAKESHLIBS_ARGS_ALL := -V
DEB_SHLIBDEPS_INCLUDE = debian/gwenview-trinity/opt/trinity/lib

post-patches:: debian/stamp-bootstrap

debian/stamp-bootstrap:
	! [ -f /usr/share/libtool/ltmain.sh ] || \
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
	! [ -f /usr/share/libtool/config/ltmain.sh ] || \
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
	
	make -f admin/Makefile.common cvs
	touch debian/stamp-bootstrap

install/gwenview-trinity::
	install -p -D -m644 debian/gwenview.xpm debian/gwenview/opt/trinity/share/pixmaps/gwenview.xpm
	install -p -D -m644 debian/gwenview.lintian debian/gwenview/opt/trinity/share/lintian/overrides/gwenview
	
	cd $(CURDIR)/debian/gwenview/opt/trinity/share/doc/tde/HTML/en/gwenview; \
	/opt/trinity/bin/meinproc $(DEB_DESTDIR)/opt/trinity/share/doc/tde/HTML/en/gwenview/index.docbook

## gwenview-trinity 14.0.4

=== debian/changelog ===
gwenview-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 13:05:34 +0200

## gwenview-trinity 14.0.5

=== debian/changelog ===
gwenview-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 07:02:30 +0200

=== debian/control ===
Source: gwenview-trinity
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Build-Depends: cdbs (>= 0.4.39-0.1), debhelper (>= 7.0.50~), quilt, tdelibs14-trinity-dev (>= 4:3.4.3), libkipi0-trinity-dev (>= 0.1.2-2), libexiv2-dev, libmng-dev, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4
Homepage: http://gwenview.sourceforge.net

Package: gwenview-trinity
Architecture: any
Depends: ${shlibs:Depends}
Replaces: gwenview-kde3 (<< 4:14.0.0~), gwenview-trinity (<< 4:14.0.0~)
Breaks: gwenview-kde3 (<< 4:14.0.0~), gwenview-trinity (<< 4:14.0.0~)
Recommends: tdegraphics-tdefile-plugins-trinity, kipi-plugins-trinity
Suggests: gwenview-i18n
Description: image viewer for TDE
 Gwenview is an image viewer for the Trinity Desktop Environment. It features a
 folder tree window and a file list window to provide easy navigation of your
 file hierarchy. Gwenview uses docked windows, so you can alter its layout
 any way you wish. You can also browse your images in full-screen mode, or
 embedded within Konqueror using the Gwenview Image Browser View and Kpart.
 .
 Image loading is handled by the Qt library, so Gwenview supports all image
 formats your Qt installation supports. Gwenview correctly displays images
 with an alpha channel. Gwenview supports the displaying and editing of EXIF
 comments, and, if the tdegraphics-tdefile-plugins package is installed, other
 image meta-information as well. Also supported is KIPI, the TDE Image Plugin
 Interface, a collection of helpful tools provided by the kipi-plugins
 package. The ability to perform lossless JPEG transforms is built in.
 .
 Gwenview's internationalization files (i18n) (translations) are available
 in the gwenview-i18n package. Users with non-US English desktops should
 install this package.

=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,10 @@
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include debian/cdbs/kde.mk
-#include /usr/share/cdbs/1/rules/simple-patchsys.mk
+#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
 include /usr/share/cdbs/1/rules/utils.mk
 
-DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/kde
+DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/tde
 DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
 DEB_CONFIGURE_PREFIX := /opt/trinity
 DEB_CONFIGURE_INFODIR := /opt/trinity/share/info
@@ -27,18 +27,23 @@
 post-patches:: debian/stamp-bootstrap
 
 debian/stamp-bootstrap:
-	! [ -f /usr/share/libtool/ltmain.sh ] || \
+ifneq "$(wildcard /usr/share/libtool/ltmain.sh)" ""
 	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
-	! [ -f /usr/share/libtool/config/ltmain.sh ] || \
+endif
+ifneq "$(wildcard /usr/share/libtool/config/ltmain.sh)" ""
 	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
+endif
+ifneq "$(wildcard /usr/share/libtool/build-aux/ltmain.sh)" ""
+	cp -f /usr/share/libtool/build-aux/ltmain.sh admin/ltmain.sh
+endif
 	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
 	
 	make -f admin/Makefile.common cvs
 	touch debian/stamp-bootstrap
 
 install/gwenview-trinity::
-	install -p -D -m644 debian/gwenview.xpm debian/gwenview/opt/trinity/share/pixmaps/gwenview.xpm
-	install -p -D -m644 debian/gwenview.lintian debian/gwenview/opt/trinity/share/lintian/overrides/gwenview
+	install -p -D -m644 debian/gwenview.xpm debian/$(cdbs_curpkg)/opt/trinity/share/pixmaps/gwenview.xpm
+	install -p -D -m644 debian/gwenview.lintian debian/$(cdbs_curpkg)/usr/share/lintian/overrides/$(cdbs_curpkg)
 	
-	cd $(CURDIR)/debian/gwenview/opt/trinity/share/doc/tde/HTML/en/gwenview; \
+	cd $(CURDIR)/debian/$(cdbs_curpkg)/opt/trinity/share/doc/tde/HTML/en/gwenview; \
 	/opt/trinity/bin/meinproc $(DEB_DESTDIR)/opt/trinity/share/doc/tde/HTML/en/gwenview/index.docbook

## gwenview-trinity 14.0.6

=== debian/changelog ===
gwenview-trinity (4:14.0.6-0raspbian7.0.0+0) raspbian-wheezy; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 01:00:40 +0100

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
 Package: gwenview-trinity
 Architecture: any
 Depends: ${shlibs:Depends}
-Replaces: gwenview-kde3 (<< 4:14.0.0~), gwenview-trinity (<< 4:14.0.0~)
-Breaks: gwenview-kde3 (<< 4:14.0.0~), gwenview-trinity (<< 4:14.0.0~)
+Replaces: gwenview-trinity (<< 4:14.0.0~)
+Breaks: gwenview-trinity (<< 4:14.0.0~)
 Recommends: tdegraphics-tdefile-plugins-trinity, kipi-plugins-trinity
 Suggests: gwenview-i18n
 Description: image viewer for TDE

## gwenview-trinity 14.0.8

=== debian/changelog ===
gwenview-trinity (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 08 Apr 2020 10:44:33 +0200

## gwenview-trinity 14.0.9

=== debian/changelog ===
gwenview-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Oct 2020 11:00:52 +0200

## gwenview-trinity 14.0.10

=== debian/changelog ===
gwenview-trinity (4:14.0.10-0ubuntu19.10.0+0) eoan; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 18 Apr 2021 01:25:00 +0200

## gwenview-trinity 14.0.11

=== debian/changelog ===
gwenview-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#gwenview

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Jul 2021 17:28:13 +0200

## gwenview-trinity 14.0.12

=== debian/changelog ===
gwenview-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#gwenview

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 28 Jan 2022 10:25:07 +0100

## gwenview-trinity 14.0.13

=== debian/changelog ===
gwenview-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#gwenview

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 08 Sep 2022 05:00:43 +0200

## gwenview-trinity 14.1.0

=== debian/changelog ===
gwenview-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#gwenview

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 13 Jan 2023 13:17:14 +0100

## gwenview-trinity 14.1.1

=== debian/changelog ===
gwenview-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#gwenview

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 25 Sep 2023 05:13:50 +0200

## gwenview-trinity 14.1.2

=== debian/changelog ===
gwenview-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#gwenview

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 04 Apr 2024 02:20:07 +0200

## gwenview-trinity 14.1.3

=== debian/changelog ===
gwenview-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#gwenview

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 13 Oct 2024 14:48:42 +0200

## gwenview-trinity 14.1.4

=== debian/changelog ===
gwenview-trinity (4:14.1.4-0ubuntu24.04.0+0) noble; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#gwenview

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: gwenview-trinity
 Section: tde
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
-Build-Depends: cdbs (>= 0.4.39-0.1), debhelper (>= 7.0.50~), quilt, tdelibs14-trinity-dev (>= 4:3.4.3), libkipi0-trinity-dev (>= 0.1.2-2), libexiv2-dev, libmng-dev, automake, autoconf, libtool, libltdl-dev
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
+Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev,
+               libkipi0-trinity-dev, libexiv2-dev, libmng-dev, libxcursor-dev
 Standards-Version: 3.8.4
-Homepage: http://gwenview.sourceforge.net
 
 Package: gwenview-trinity
 Architecture: any
 Depends: ${shlibs:Depends}
-Replaces: gwenview-trinity (<< 4:14.0.0~)
-Breaks: gwenview-trinity (<< 4:14.0.0~)
+Replaces: gwenview-kde3 (<< 4:14.0.0~), gwenview-trinity (<< 4:14.0.0~)
+Breaks: gwenview-kde3 (<< 4:14.0.0~), gwenview-trinity (<< 4:14.0.0~)
 Recommends: tdegraphics-tdefile-plugins-trinity, kipi-plugins-trinity
-Suggests: gwenview-i18n
+Suggests: gwenview-i18n-trinity
 Description: image viewer for TDE
  Gwenview is an image viewer for the Trinity Desktop Environment. It features a
  folder tree window and a file list window to provide easy navigation of your
@@ -29,5 +29,5 @@
  package. The ability to perform lossless JPEG transforms is built in.
  .
  Gwenview's internationalization files (i18n) (translations) are available
- in the gwenview-i18n package. Users with non-US English desktops should
- install this package.
+ in the gwenview-i18n-trinity package. Users with non-US English desktops
+ should install this package.

## gwenview-trinity 14.1.5~pre1

=== debian/changelog ===
gwenview-trinity (4:14.1.5~pre1-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 01ed8a79880d6f0807e18f80e383962ac9ab2153
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#gwenview

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## gwenview-trinity 14.1.5

=== debian/changelog ===
gwenview-trinity (4:14.1.5-0debian13.0.0+0) trixie; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#gwenview

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: tde
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
-Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev,
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev,
                libkipi0-trinity-dev, libexiv2-dev, libmng-dev, libxcursor-dev
 Standards-Version: 3.8.4
 
 Package: gwenview-trinity
 Architecture: any
 Depends: ${shlibs:Depends}
-Replaces: gwenview-kde3 (<< 4:14.0.0~), gwenview-trinity (<< 4:14.0.0~)
-Breaks: gwenview-kde3 (<< 4:14.0.0~), gwenview-trinity (<< 4:14.0.0~)
+Replaces: gwenview-trinity (<< 4:14.0.0~)
+Breaks: gwenview-trinity (<< 4:14.0.0~)
 Recommends: tdegraphics-tdefile-plugins-trinity, kipi-plugins-trinity
 Suggests: gwenview-i18n-trinity
 Description: image viewer for TDE

## gwenview-trinity 14.1.6~pre1

=== debian/changelog ===
gwenview-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 5784f694544aad9227519cf1f9f955544b48aa63
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#gwenview

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 24 Nov 2025 22:38:02 +0100

## gwenview-trinity 14.1.6~pre2

=== debian/changelog ===
gwenview-trinity (4:14.1.6~pre2-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 743227612bce8345d33117434398ce9a28e6187a
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#gwenview

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:36:51 +0100

## gwenview-trinity 14.1.6~pre3

=== debian/changelog ===
gwenview-trinity (4:14.1.6~pre3-0ubuntu26.04.0+1~a) resolute; urgency=low

  * Automated git build for 54ef7721475a4d61aa4c072ff505ef7fe9c703da
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#gwenview

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 01 Mar 2026 09:27:56 +0100

## gwenview-trinity 14.2.0~pre81

=== src/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### subfolders

add_subdirectory( app )
add_subdirectory( desktopfiles )
add_subdirectory( gvcore )
add_subdirectory( gvdirpart )
add_subdirectory( gvimagepart )
add_subdirectory( imageutils )
add_subdirectory( tools )
add_subdirectory( tsthread )
add_subdirectory( updates )

=== icons/thumbnail/CMakeLists.txt ===
install(
  FILES wait.png
  DESTINATION ${DATA_INSTALL_DIR}/gwenview/thumbnail
)

=== src/tools/CMakeLists.txt ===
##### desktop files

tde_create_translated_desktop(
  SOURCE gimp.desktop kolourpaint.desktop konqueror.desktop tiledwallpaper.desktop wallpaper.desktop
  DESTINATION ${DATA_INSTALL_DIR}/gwenview/tools
)

=== debian/changelog ===
gwenview-trinity (4:14.2.0~pre81-0ubuntu25.10.0+9) questing; urgency=low

  * Automated git build for 222ece3a1c8867fc59f74ba3d45514dd13e84b4c
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#gwenview

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/tde.mk

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DBUILD_ALL="ON" \
 -DWITH_ALL_OPTIONS="ON"

DEB_MAKE_CHECK_TARGET = check

## gwenview-trinity 14.2.0~pre82

=== debian/changelog ===
gwenview-trinity (4:14.2.0~pre82-0ubuntu26.04.0+9~a) resolute; urgency=low

  * Automated git build for 4acd6bd9bd787ef6d911b98529db3a3a1eff3025
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#gwenview

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Nov 2025 21:51:23 +0100

## gwenview-trinity 14.2.0~pre83

=== debian/changelog ===
gwenview-trinity (4:14.2.0~pre83-0ubuntu26.04.0+9~a) resolute; urgency=low

  * Automated git build for da5c7099e1e4a45969f42455666286986d35b796
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#gwenview

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 04:55:08 +0100

## gwenview-trinity 14.2.0~pre84

=== debian/changelog ===
gwenview-trinity (4:14.2.0~pre84-0ubuntu26.04.0+9~a) resolute; urgency=low

  * Automated git build for aac83f9799e42b82f3a9a1e4ceab537aabea7caa
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#gwenview

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 13 Feb 2026 14:51:55 +0100
